org.bouncycastle.jce.interfaces

## Interface ElGamalPrivateKey

All Superinterfaces:
  ElGamalKey, java.security.Key, java.security.PrivateKey, java.io.Serializable

All Known Implementing Classes:
  JCEElGamalPrivateKey

    public interface ElGamalPrivateKey
    extends ElGamalKey, java.security.PrivateKey

### Field Summary

### Fields inherited from interface java.security.PrivateKey

`serialVersionUID`

### Method Summary

Methods
`java.math.BigInteger` `getX()`

### Methods inherited from interface org.bouncycastle.jce.interfaces.ElGamalKey

`getParameters`

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Method Detail

#### getX

    java.math.BigInteger getX()